"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const bytes = require("bytes-iec");
function calcPercentage(a, b) {
    if (a > 0 && b > 0) {
        return ((a * 100) / b).toFixed(2) + '%';
    }
    else if (b > 0) {
        return '0%';
    }
    else {
        return 'Err';
    }
}
exports.calcPercentage = calcPercentage;
function cpuPretty(sum) {
    const n = sum / 1000;
    if (sum < 10000) {
        return n.toFixed(2);
    }
    else {
        return n.toFixed(0);
    }
}
exports.cpuPretty = cpuPretty;
function memPretty(sum) {
    return bytes(sum, {});
}
exports.memPretty = memPretty;
//# sourceMappingURL=format.js.map