import { Tab, StatusStripeController, StatusTextWithIcon } from '@kui-shell/core';
interface MyFragment extends StatusTextWithIcon {
    cpuBar: HTMLElement;
    memBar: HTMLElement;
}
declare function listener(tab: Tab, controller: StatusStripeController<MyFragment>, fragment: MyFragment): Promise<void>;
export default function (): {
    fragment: {
        id: string;
        icon: string;
        text: HTMLElement;
        onclick: {
            text: string;
        };
        cpuBar: HTMLElement;
        memBar: HTMLElement;
    };
    listener: typeof listener;
};
export {};
